Subject: Re: Bug#1036826: Please start handling \c

From: Martin Quinson <[email-masked]>
Date: Fri, 10 May 2024 18:55:38 +0200

tag 1036826 fixed-upstream
thanks

Hello Helge,

I think I fixed this bug upstream, and it will be part of the next release,
later this month. I did not implement a full support for \c since it's
difficult in the current code base, but at least the groff.1 page proceeds. 

If you have other failures from other pages, please tell me so that I can check
whether my fix is enough even before the release.

Thanks for your help and patience,
Mt

Le jeudi 14 mars 2024 à 19:56 +0000, Helge Kreutzmann a écrit :
> Hello Martin,
> Am Sun, Mar 10, 2024 at 10:14:20PM +0100 schrieb Martin Quinson:
> > Instead, I'd appreciate if you could do a merge request with a test file,
> > along
> > with the expected output. It'd save me the time to dig into the discussion
> > of
> > this bug. 
> > 
> > I'm not saying that I won't fix it w/o this test case. I'm just saying that
> > providing a test case is a better approach to speedup the fix than severity
> > abuse.
> 
> I hope explaining the test file in this bug is fine as well, because
> I'm not sure what to do exactly merge and how.
> 
> The test case is groff(1) as it is in Debian unstable:
> 
> $ LC_ALL=C po4a-updatepo -f man --no-deprecation --option groff_code=verbatim
> --option generated --option
> untranslated="}1,Ds,zY,zZ,Ee,ES,dT,FN,NE,NS,EX,EE,Id,rstReportMargin,INDENT,U
> NINDENT,UN,a.RE,\|" --option unknown_macros=untranslated --master groff.1 -M
> utf-8 -p test.pot
> groff.1:2279: (po4a::man)
>               Escape sequence \c encountered. This is not completely
> 	      handled yet.
> 
> And there is no output.
> 
> If I do a crude preprocessing, it kind of works:
> 
> $ cat groff.1 | perl -p -e 's/\\c\n//' > groff.test.1
> $ LC_ALL=C po4a-updatepo -f man --no-deprecation --option groff_code=verbatim
> --option generated --option
> untranslated="}1,Ds,zY,zZ,Ee,ES,dT,FN,NE,NS,EX,EE,Id,rstReportMargin,INDENT,U
> NINDENT,UN,a.RE,\|" --option unknown_macros=untranslated --master
> groff.test.1 -M utf-8 -p test.pot
> $ wc -l test.pot
> 3157 test.pot
> 
> I hope this helps you working on this, together with the discussion in
> this bug.
> 
> Thanks for your support!
> 
> Greetings
> 
>           Helge